<?php

require_once "GigasetXMLElement.php";

class XMLContact extends GigasetXMLElement
{

    public $attributes = array();
    public $elements = array();

    public function __construct($attributes = array())
    {
        parent::__construct("entry", $attributes);
    }

    protected function name()
    {
        return "entry";
    }

    public function setID($id)
    {
        $this->attributes['id'] = $id;
    }

    public function setLastname($lastname)
    {
        $this->elements['ln'] = $lastname;
    }

    public function setFirstname($firstname)
    {
        $this->elements['fn'] = $firstname;
    }

    public function setExtension($extension)
    {
        $this->elements['in'] = $extension;
    }

    public function setPrivatExtension($extension)
    {
        $this->elements['hm'] = $extension;
    }

    public function setMobilePhoneExtension($extension)
    {
        $this->elements['mb'] = $extension;
    }
}
